#plane of fire fight 3
from eventAPI import *
from APIUtils import *

rtpofireFlag3=0

def fireEvent(e):
   global rtpofireFlag3
   rtpofireFlag3 = getTag(e, "rtpofireFlag3")
   if (rtpofireFlag3 == 1):
      return 1
   else:
      showMessage(e, ["You find a scorched skeleton laying on the edge of the lake of lava.", "", "You also find what put this individual into such a sorry state."])
      fightThem(e)

def fightThem(e):
   combatRet = combat(e, [("Servant of Fire", 9, 2, 10), ("Fire Elemental", 20, 4, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtpofireFlag3
   rtpofireFlag3 = 1
   setTag(e, "rtpofireFlag3", rtpofireFlag3)
